Home » Android » Eclipse Android Project no Target available

Eclipse Android Project no Target available

Posted by: admin June 15, 2020 Leave a comment

Questions:

I just installed the latest version of Eclipse and the Android SDK. In the Android SDK Manager I installed everything, and in Eclipse I installed the ADT Plugin.

If I choose new Android project, I can’t choose any Build Target. How can i select different build targets?
Thanks for your help!

How to&Answers:

I had the same issue and had to go to Eclipse > Window > Preferences > Android to set the Android SDK location (C:\Program Files\Android\android-sdk in my case).

You can see this post: android can not find a target
and
http://www.mail-archive.com/[email protected]/msg17763.html

Answer:

first of all select SDK manager in the android folder, then a windows pops up automatically in which certain packages are selected, from which you can select the platform on which you want to develop you application….. it will take some time to download those packages

Then go to preference(Eclipse) -> select android from the leftbar -> select target in the right bar -> got to the program Files – > select android -> select sdk -> Finish

Before running you application perform the following steps ->

-> select project name from the project explorer
-> select run as -> run configuration -> select android configuration -> select project name and activity name to start with -> Select target tab from the above -> it shows the platform which you have installed -> select that platform -> select run

don’t forget i struggled with it, always mention the activity name in the manifest file otherwise what ever you program, it will never comes on emulator, but shows error….

Answer:

You have to open the SDK Manager in the location in which you installed the Android SDK and download individual build targets depending on the Android version you want to develop for.

See Step 4 Here: http://developer.android.com/sdk/installing.html

Answer:

Perhaps you’ve missed Step 4. Adding Platforms and Other Components at http://developer.android.com/sdk/installing.html . Pay attention on it.

Answer:

To fix this problem, open SDK manager thru programs or eclipse. It will show available packages to download. In that list don’t select the latest one. Select Versioin 2.2(API 8). Then install all sub packages (there are six) inside that.

Answer:

the same error for me, Just activate “Automatic Updates” in eclipse, restart, install the new update of eclipse, you will be notified> now you can select in the preference android: your folder and all target will be there